Index: trunk/tools/Templates/HeuristicLab.VS2010Wizards/ProblemWizardForm.Designer.cs
===================================================================
--- trunk/tools/Templates/HeuristicLab.VS2010Wizards/ProblemWizardForm.Designer.cs	(revision 4188)
+++ trunk/tools/Templates/HeuristicLab.VS2010Wizards/ProblemWizardForm.Designer.cs	(revision 4214)
@@ -28,5 +28,5 @@
       this.label2 = new System.Windows.Forms.Label();
       this.problemDescriptionTextBox = new System.Windows.Forms.TextBox();
-      this.isMultiObjectiveCheckBox = new System.Windows.Forms.CheckBox();
+      this.multiObjectiveCheckBox = new System.Windows.Forms.CheckBox();
       this.problemNameTextBox = new System.Windows.Forms.TextBox();
       this.cancelButton = new System.Windows.Forms.Button();
@@ -37,13 +37,20 @@
       this.page2Panel = new System.Windows.Forms.Panel();
       this.label3 = new System.Windows.Forms.Label();
-      this.parametersControl = new HeuristicLab.VS2010Wizards.ParametersControl();
       this.panel2 = new System.Windows.Forms.Panel();
       this.nextButton = new System.Windows.Forms.Button();
       this.previousButton = new System.Windows.Forms.Button();
       this.page1Panel = new System.Windows.Forms.Panel();
+      this.singleObjectiveCheckBox = new System.Windows.Forms.CheckBox();
+      this.contentPanel = new System.Windows.Forms.Panel();
+      this.solutionCreatorTypeTextBox = new System.Windows.Forms.TextBox();
+      this.evaluatorTypeTextBox = new System.Windows.Forms.TextBox();
+      this.label6 = new System.Windows.Forms.Label();
+      this.label5 = new System.Windows.Forms.Label();
+      this.parametersControl = new HeuristicLab.VS2010Wizards.ParametersControl();
       this.panel1.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
       this.page2Panel.SuspendLayout();
       this.page1Panel.SuspendLayout();
+      this.contentPanel.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -52,5 +59,5 @@
       this.label1.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(100, 48);
+      this.label1.Location = new System.Drawing.Point(100, 19);
       this.label1.Name = "label1";
       this.label1.Size = new System.Drawing.Size(38, 13);
@@ -62,5 +69,5 @@
       this.label2.Anchor = System.Windows.Forms.AnchorStyles.None;
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(100, 96);
+      this.label2.Location = new System.Drawing.Point(100, 67);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(63, 13);
@@ -71,25 +78,26 @@
       // 
       this.problemDescriptionTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.problemDescriptionTextBox.Location = new System.Drawing.Point(102, 112);
+      this.problemDescriptionTextBox.Location = new System.Drawing.Point(103, 83);
       this.problemDescriptionTextBox.Multiline = true;
       this.problemDescriptionTextBox.Name = "problemDescriptionTextBox";
-      this.problemDescriptionTextBox.Size = new System.Drawing.Size(469, 63);
+      this.problemDescriptionTextBox.Size = new System.Drawing.Size(468, 63);
       this.problemDescriptionTextBox.TabIndex = 3;
       // 
-      // isMultiObjectiveCheckBox
-      // 
-      this.isMultiObjectiveCheckBox.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.isMultiObjectiveCheckBox.AutoSize = true;
-      this.isMultiObjectiveCheckBox.Location = new System.Drawing.Point(102, 188);
-      this.isMultiObjectiveCheckBox.Name = "isMultiObjectiveCheckBox";
-      this.isMultiObjectiveCheckBox.Size = new System.Drawing.Size(96, 17);
-      this.isMultiObjectiveCheckBox.TabIndex = 5;
-      this.isMultiObjectiveCheckBox.Text = "Multi-Objective";
-      this.isMultiObjectiveCheckBox.UseVisualStyleBackColor = true;
+      // multiObjectiveCheckBox
+      // 
+      this.multiObjectiveCheckBox.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.multiObjectiveCheckBox.AutoSize = true;
+      this.multiObjectiveCheckBox.Location = new System.Drawing.Point(212, 152);
+      this.multiObjectiveCheckBox.Name = "multiObjectiveCheckBox";
+      this.multiObjectiveCheckBox.Size = new System.Drawing.Size(96, 17);
+      this.multiObjectiveCheckBox.TabIndex = 5;
+      this.multiObjectiveCheckBox.Text = "Multi-Objective";
+      this.multiObjectiveCheckBox.UseVisualStyleBackColor = true;
+      this.multiObjectiveCheckBox.CheckedChanged += new System.EventHandler(this.multiObjectiveCheckBox_CheckedChanged);
       // 
       // problemNameTextBox
       // 
       this.problemNameTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
-      this.problemNameTextBox.Location = new System.Drawing.Point(103, 64);
+      this.problemNameTextBox.Location = new System.Drawing.Point(103, 35);
       this.problemNameTextBox.Name = "problemNameTextBox";
       this.problemNameTextBox.Size = new System.Drawing.Size(468, 20);
@@ -152,12 +160,10 @@
       // page2Panel
       // 
-      this.page2Panel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
       this.page2Panel.Controls.Add(this.label3);
       this.page2Panel.Controls.Add(this.parametersControl);
-      this.page2Panel.Location = new System.Drawing.Point(0, 86);
+      this.page2Panel.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.page2Panel.Location = new System.Drawing.Point(0, 0);
       this.page2Panel.Name = "page2Panel";
-      this.page2Panel.Size = new System.Drawing.Size(676, 289);
+      this.page2Panel.Size = new System.Drawing.Size(676, 293);
       this.page2Panel.TabIndex = 10;
       this.page2Panel.Visible = false;
@@ -171,14 +177,4 @@
       this.label3.TabIndex = 1;
       this.label3.Text = "Parameters:";
-      // 
-      // parametersControl
-      // 
-      this.parametersControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.parametersControl.Location = new System.Drawing.Point(0, 33);
-      this.parametersControl.Name = "parametersControl";
-      this.parametersControl.Size = new System.Drawing.Size(676, 256);
-      this.parametersControl.TabIndex = 0;
       // 
       // panel2
@@ -218,16 +214,95 @@
       // page1Panel
       // 
-      this.page1Panel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.page1Panel.Controls.Add(this.solutionCreatorTypeTextBox);
+      this.page1Panel.Controls.Add(this.evaluatorTypeTextBox);
+      this.page1Panel.Controls.Add(this.label6);
+      this.page1Panel.Controls.Add(this.label5);
       this.page1Panel.Controls.Add(this.label1);
       this.page1Panel.Controls.Add(this.label2);
       this.page1Panel.Controls.Add(this.problemDescriptionTextBox);
       this.page1Panel.Controls.Add(this.problemNameTextBox);
-      this.page1Panel.Controls.Add(this.isMultiObjectiveCheckBox);
-      this.page1Panel.Location = new System.Drawing.Point(0, 86);
+      this.page1Panel.Controls.Add(this.singleObjectiveCheckBox);
+      this.page1Panel.Controls.Add(this.multiObjectiveCheckBox);
+      this.page1Panel.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.page1Panel.Location = new System.Drawing.Point(0, 0);
       this.page1Panel.Name = "page1Panel";
-      this.page1Panel.Size = new System.Drawing.Size(676, 298);
+      this.page1Panel.Size = new System.Drawing.Size(676, 293);
       this.page1Panel.TabIndex = 9;
+      // 
+      // singleObjectiveCheckBox
+      // 
+      this.singleObjectiveCheckBox.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.singleObjectiveCheckBox.AutoSize = true;
+      this.singleObjectiveCheckBox.Checked = true;
+      this.singleObjectiveCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
+      this.singleObjectiveCheckBox.Location = new System.Drawing.Point(103, 152);
+      this.singleObjectiveCheckBox.Name = "singleObjectiveCheckBox";
+      this.singleObjectiveCheckBox.Size = new System.Drawing.Size(103, 17);
+      this.singleObjectiveCheckBox.TabIndex = 5;
+      this.singleObjectiveCheckBox.Text = "Single-Objective";
+      this.singleObjectiveCheckBox.UseVisualStyleBackColor = true;
+      this.singleObjectiveCheckBox.CheckedChanged += new System.EventHandler(this.singleObjectiveCheckBox_CheckedChanged);
+      // 
+      // contentPanel
+      // 
+      this.contentPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.contentPanel.Controls.Add(this.page1Panel);
+      this.contentPanel.Controls.Add(this.page2Panel);
+      this.contentPanel.Location = new System.Drawing.Point(0, 85);
+      this.contentPanel.Name = "contentPanel";
+      this.contentPanel.Size = new System.Drawing.Size(676, 293);
+      this.contentPanel.TabIndex = 11;
+      // 
+      // solutionCreatorTypeTextBox
+      // 
+      this.solutionCreatorTypeTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.solutionCreatorTypeTextBox.Location = new System.Drawing.Point(103, 236);
+      this.solutionCreatorTypeTextBox.Name = "solutionCreatorTypeTextBox";
+      this.solutionCreatorTypeTextBox.Size = new System.Drawing.Size(468, 20);
+      this.solutionCreatorTypeTextBox.TabIndex = 8;
+      this.solutionCreatorTypeTextBox.Text = "IMyProblemSolutionCreator";
+      this.solutionCreatorTypeTextBox.TextChanged += new System.EventHandler(this.solutionCreatorTypeTextBox_TextChanged);
+      // 
+      // evaluatorTypeTextBox
+      // 
+      this.evaluatorTypeTextBox.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.evaluatorTypeTextBox.Location = new System.Drawing.Point(103, 197);
+      this.evaluatorTypeTextBox.Name = "evaluatorTypeTextBox";
+      this.evaluatorTypeTextBox.Size = new System.Drawing.Size(468, 20);
+      this.evaluatorTypeTextBox.TabIndex = 9;
+      this.evaluatorTypeTextBox.Text = "IMyProblemEvaluator";
+      this.evaluatorTypeTextBox.TextChanged += new System.EventHandler(this.evaluatorTypeTextBox_TextChanged);
+      // 
+      // label6
+      // 
+      this.label6.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.label6.AutoSize = true;
+      this.label6.Location = new System.Drawing.Point(100, 220);
+      this.label6.Name = "label6";
+      this.label6.Size = new System.Drawing.Size(112, 13);
+      this.label6.TabIndex = 6;
+      this.label6.Text = "Solution Creator Type:";
+      // 
+      // label5
+      // 
+      this.label5.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.label5.AutoSize = true;
+      this.label5.Location = new System.Drawing.Point(100, 181);
+      this.label5.Name = "label5";
+      this.label5.Size = new System.Drawing.Size(82, 13);
+      this.label5.TabIndex = 7;
+      this.label5.Text = "Evaluator Type:";
+      // 
+      // parametersControl
+      // 
+      this.parametersControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.parametersControl.Location = new System.Drawing.Point(0, 33);
+      this.parametersControl.Name = "parametersControl";
+      this.parametersControl.Size = new System.Drawing.Size(676, 260);
+      this.parametersControl.TabIndex = 0;
       // 
       // ProblemWizardForm
@@ -236,4 +311,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.ClientSize = new System.Drawing.Size(676, 428);
+      this.Controls.Add(this.contentPanel);
       this.Controls.Add(this.panel1);
       this.Controls.Add(this.cancelButton);
@@ -242,6 +318,4 @@
       this.Controls.Add(this.finishButton);
       this.Controls.Add(this.panel2);
-      this.Controls.Add(this.page2Panel);
-      this.Controls.Add(this.page1Panel);
       this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
       this.Name = "ProblemWizardForm";
@@ -254,4 +328,5 @@
       this.page1Panel.ResumeLayout(false);
       this.page1Panel.PerformLayout();
+      this.contentPanel.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -263,5 +338,5 @@
     private System.Windows.Forms.Label label2;
     private System.Windows.Forms.TextBox problemDescriptionTextBox;
-    private System.Windows.Forms.CheckBox isMultiObjectiveCheckBox;
+    private System.Windows.Forms.CheckBox multiObjectiveCheckBox;
     private System.Windows.Forms.TextBox problemNameTextBox;
     private System.Windows.Forms.Button cancelButton;
@@ -277,4 +352,10 @@
     private ParametersControl parametersControl;
     private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.CheckBox singleObjectiveCheckBox;
+    private System.Windows.Forms.Panel contentPanel;
+    private System.Windows.Forms.TextBox solutionCreatorTypeTextBox;
+    private System.Windows.Forms.TextBox evaluatorTypeTextBox;
+    private System.Windows.Forms.Label label6;
+    private System.Windows.Forms.Label label5;
   }
 }
